const { invoke } = window.__TAURI__.tauri;
const { listen } = window.__TAURI__.event;
const { ask } = window.__TAURI__.dialog;
const downBar = document.querySelector(".progressFinished");
//import { listen } from '@tauri-apps/api';

const download_progress = listen("download_progress", (progress) => {
  console.log("Downloading");
  //console.log("Downloaded "+progress.payload.downloaded/(1024*1024) +"MB / " + progress.payload.total/(1024*1024) + "MB");
  let downProgress = (progress.payload.downloaded/(1024*1024)).toFixed(2);
  let downTotal = (progress.payload.total/(1024*1024)).toFixed(2);
  document.getElementById("download_name").textContent = "Downloading "+progress.payload.download_name;
  document.getElementById("download_progress").textContent = downProgress + "MB / "+downTotal+"MB";
  document.getElementById("launchGame").disabled = true;
  downBar.style.width = `${(progress.payload.downloaded / progress.payload.total) * 100}%`;
  document.querySelector(".progress").style.visibility = "visible";
});

const download_finished = listen("download_finished", (event) => {
  document.getElementById("download_name").textContent = "";
  document.getElementById("download_progress").textContent = "";
  document.getElementById("launchGame").disabled = false;
  document.getElementById("launchGame").textContent ="Launch Minecraft";
  downBar.style.width = 0;
  document.querySelector(".progress").style.visibility = "hidden";
});

window.addEventListener("DOMContentLoaded", () => {

  document.getElementById("back").addEventListener("click", back);
  
});

function back(){
  window.location.href = "index.html";
}